#=======================================================================
# Makefile for bibclean using Borland Turbo C/C++ 3.0 make program.
# The Turbo 2.0 make is brain-damaged, and cannot do this job
# correctly; use tcc20bld.bat for it.
# [20-Nov-1992]
#=======================================================================

# Set the directory name of the Turbo C libraries and object files.
LIBDIR = s:\sys\tc3p0\lib

# Set the desired compiler flags.  These should not require changing.
# -P (C++ compilation), -A (ANSI keywords), -N (stack overflow check),
# -mc (compact memory model), -v (source debugging), -y (debug line
# numbers).  Set MAXPATHLEN to override value of 80 in Turbo C/C++ 3.0
# set in stdio.h in FILENAME_MAX.

CFLAGS = -P -A -N -mc -v -y -DMAXPATHLEN=260 

# The executable produced is considerably smaller for C than for C++,
# so we remove -P -v -y for production use.
CFLAGS = -A -N -mc -DMAXPATHLEN=260 

# Define these variables appropriately.  Without them, the executable
# will not contain the host and user information displayed by the
# -version switch.
DEFINES = -DHOST="plot79.math.utah.edu" -DUSER="beebe"

# If this is set to an empty string, then no wild-card expansion of
# the command line will be available.
LIB-FILES = $(LIBDIR)\wildargs.obj

OBJ-FILES = bibclean.obj fndfil.obj match.obj strtol.obj

#=======================================================================

all:	bibclean.exe

bibclean.exe:	$(OBJ-FILES)
	$(CC) -ebibclean.exe $(OBJ-FILES) $(LIB-FILES)

clean:
	del *.obj

clobber:	clean
	del bibclean.exe

#=======================================================================

OS_H          = os.h            xerrno.h        xstddef.h

UNIXLIB_H     = unixlib.h       $(OS_H)         $(XSTAT_H)      $(XTYPES_H)

MACHDEFS_H    = machdefs.h      osatari.h       ospcdos.h       osprimos.h \
		osrmx.h         ostops20.h      osunix.h        osvaxvms.h \
		osvmcms.h

XCTYPE_H      = xctype.h

XPWD_H        = xpwd.h          $(OS_H)         $(XTYPES_H)

XSTAT_H       = xstat.h         $(OS_H)         $(XTYPES_H)

XSTDLIB_H     = xstdlib.h       $(XTYPES_H)

XSTRING_H     = xstring.h       $(OS_H)         $(XTYPES_H)

XTYPES_H      = xtypes.h        $(OS_H)

bibclean.obj:	bibclean.c bibclean.h match.h $(OS_H) $(UNIXLIB_H) \
		$(XCTYPE_H) $(XSTAT_H) $(XSTDLIB_H) $(XSTRING_H)
	$(CC) -c $(CFLAGS) $(DEFINES) bibclean.c

fndfil.obj:	fndfil.c $(MACHDEFS_H) $(OS_H) $(UNIXLIB_H) $(XCTYPE_H) \
		$(XPWD_H) $(XSTDLIB_H) $(XSTRING_H)

match.obj:	match.c match.h $(OS_H) $(XCTYPE_H) $(XSTDLIB_H) $(XSTRING_H)

strtol.obj:	strtol.c $(OS_H) $(XCTYPE_H) $(XSTDLIB_H) $(XSTRING_H)
